Skip to main content
PUT
/
api
/
v0
/
endptjobs
/
{id}
update endpoint
curl --request PUT \
  --url https://console.vast.ai/api/v0/endptjobs/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "min_load": 0,
  "target_util": 0.9,
  "cold_mult": 2.5,
  "cold_workers": 5,
  "max_workers": 20,
  "endpoint_name": "my_endpoint"
}
'
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://vastai-80aa3a82-feat-host-3113-dynamic-resize.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

id
integer
required

ID of the endpoint group to update

Example:

4242

Body

application/json
min_load
number

Minimum floor load in perf units/s (token/s for LLMs)

Example:

0

target_util
number

Target capacity utilization (fraction, max 1.0)

Example:

0.9

cold_mult
number

Cold/stopped instance capacity target as multiple of hot capacity target

Example:

2.5

cold_workers
integer

Min number of workers to keep 'cold' when you have no load

Example:

5

max_workers
integer

Max number of workers your endpoint group can have

Example:

20

endpoint_name
string

Deployment endpoint name

Example:

"my_endpoint"

Response

Success response

success
boolean
Example:

true